Record visit vitals
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/vitals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"temperature_celsius": 37.5,
"blood_pressure_systolic": 150,
"blood_pressure_diastolic": 100,
"pulse_rate": 130,
"respiratory_rate": 42,
"oxygen_saturation": 70,
"weight_kg": 200.25,
"height_cm": 140,
"pain_score": 5,
"notes": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
temperature_celsius: 37.5,
blood_pressure_systolic: 150,
blood_pressure_diastolic: 100,
pulse_rate: 130,
respiratory_rate: 42,
oxygen_saturation: 70,
weight_kg: 200.25,
height_cm: 140,
pain_score: 5,
notes: '<string>'
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/vitals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/vitals"
payload = {
"temperature_celsius": 37.5,
"blood_pressure_systolic": 150,
"blood_pressure_diastolic": 100,
"pulse_rate": 130,
"respiratory_rate": 42,
"oxygen_saturation": 70,
"weight_kg": 200.25,
"height_cm": 140,
"pain_score": 5,
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Staff clinical workspace
Record visit vitals
POST
/
outpatient-visits
/
{outpatientVisit}
/
vitals
Record visit vitals
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/vitals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"temperature_celsius": 37.5,
"blood_pressure_systolic": 150,
"blood_pressure_diastolic": 100,
"pulse_rate": 130,
"respiratory_rate": 42,
"oxygen_saturation": 70,
"weight_kg": 200.25,
"height_cm": 140,
"pain_score": 5,
"notes": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
temperature_celsius: 37.5,
blood_pressure_systolic: 150,
blood_pressure_diastolic: 100,
pulse_rate: 130,
respiratory_rate: 42,
oxygen_saturation: 70,
weight_kg: 200.25,
height_cm: 140,
pain_score: 5,
notes: '<string>'
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/vitals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/vitals"
payload = {
"temperature_celsius": 37.5,
"blood_pressure_systolic": 150,
"blood_pressure_diastolic": 100,
"pulse_rate": 130,
"respiratory_rate": 42,
"oxygen_saturation": 70,
"weight_kg": 200.25,
"height_cm": 140,
"pain_score": 5,
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required range:
30 <= x <= 45Required range:
40 <= x <= 260Required range:
20 <= x <= 180Required range:
20 <= x <= 240Required range:
5 <= x <= 80Required range:
40 <= x <= 100Required range:
0.5 <= x <= 400Required range:
20 <= x <= 260Required range:
0 <= x <= 10Maximum string length:
1000Response
Resource returned.